GuidesAPI Reference
API Reference

Gets a list of all catalogs

Lists all catalogs that your account has access to. To get access to a catalog, your administrator must associate this catalog in your HERE platform account. By default, the list provides summary data for each catalog such as the title, the configuration URL, and the resource type.

Note: If you have access to tens of thousands of catalogs or more, and it takes the server more than 50 seconds to generate the result, a partial response may be returned. Our testing indicates that a user with permission to access 50000 catalogs takes roughly 50 seconds to generate the result.

Query Params
boolean
Defaults to false

Indicates if the response should contain fully expanded catalog configurations.

string

Works only when the verbose flag is set to true. The result contains only those items which have the given string as a part of the value of one or more searchable fields (substring compare). It will search the following catalog details fields: id, name, summary, description, tags and layer details: id, name, summary, description, tags, schema-hrn

string

Works only when the verbose flag is set to true. Filters only catalogs (layers) that belong to a specified organisation. You can filter only by catalog (layer) owner organisation ID. If you do not specify an organisation, the search is unfiltered.

organisationType
array of strings

Works only when the verbose flag is set to true. Filters only catalogs that belong to an organisation. If set to ''myOrganisation'', the search is for catalogs (layers) with the same owner organisation ID like the requester''s. If set to ''here'', the search is for catalogs (layers) with the same owner organisation ID is equal to the Here organisation. If set to ''other'', the search is for catalogs (layers) with an owner organisation ID not equal to the requester organisation and not equal to HERE organisation. If you do not specify an organisation, the search is unfiltered.

organisationType
layerType
array of strings

Works only when the verbose flag is set to true. Comma-separated list of layer types (with OR semantic) to look for in the layer type. Filters only catalogs that contain layers with layer type presented in a given list. If you do not specify a layer type, the search is unfiltered.

layerType
region
array of strings

Works only when the verbose flag is set to true. Comma-separated list of regions (with OR semantic) to look for in the catalog replication configuration. Filters only catalogs that contain region presented in given list. If you do not specify a region, the search is unfiltered.

region
string

Works only when the verbose flag is set to true. Filters only catalogs (layers) by the specified layer schema HRN. You can only filter by layer schema. If you do not specify a schema, the search is unfiltered.

string
enum
Defaults to catalog

Works only when the verbose flag is set to true. Specifies other filters behavior. If set to 'catalog', this applies other filters to search catalogs (and layers inside). If set to 'layer', this applies other filters to search layers. The returned json structure is the same for both cases (list of catalogs with list of layers inside each catalog).

Allowed:
coverage
array of strings

Works only when the verbose flag is set to true. Comma-separated list of countries (with OR semantic) to look for in the catalog (layer) coverage. Only catalogs (layers) covering specified countries will be returned. This filed is case-insensitive. If you do not specify coverage, the search includes all countries.

coverage
access
array of strings

Works only when the verbose flag is set to true. Comma-separated list of access types (with OR semantic) to filter result. If set to 'default', the response includes catalogs the user has read or manage access to. If set to 'create', the response includes catalogs the user has created and which match the owner.creator field, if set to 'manage', the response includes catalogs the user has manage access to. If set to 'orgAdmin', the response includes catalogs the OrgAdmin user have access to.

access
boolean
Defaults to false

Indicates if the response should contain only Marketplace-ready catalogs. If this flag is set to true, the service will return only catalogs with the marketplaceReady element set to true.

integer
≥ 1

Works only when the verbose flag is set to true. When specified, result element count will be limited to this value. You will be provided with a pageUrl link to access other pages in the next or previous field in the response. For further accessing other pages, you should use getCatalogsPage operation i.e. catalogs context route which Gets a list of catalogs in the current page.

string
enum
Defaults to name

Works only when the verbose flag is set to true. Specifies sort field. If set to 'name', the response contains catalogs sorted by catalog name. If set to 'created', the the response contains catalogs sorted by catalog create time. Layers inside a catalog are always sorted by layer name. If you do not specify a sortBy, the response contains catalogs sorted by 'name'.

Allowed:
string
enum
Defaults to asc

Works only when the verbose flag is set to true. Specifies the sort order. If set to 'asc', the sort order is ascending. If set to 'desc', the sort order is descending. If you do not specify sortOrder, the sort order is ascending.

Allowed:
boolean
Defaults to false

Indicates if the response should only return the list of linkable catalogs.

Note:

  • If set to 'true' and the access token has a project scope, then the response will include the catalogs that are available to the caller to link to the project in the token's project scope and HERE public catalogs.
  • If set to 'true' and the access token has no scope, then the response will include all HERE public catalogs only."
string

The billingTag parameter is an optional free-form tag that you can use to group billing records together. If supplied, it must be between 4 - 16 characters, contain only alpha/numeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json